Index: jobvista-frontend/src/redux/actionTypes.js
===================================================================
--- jobvista-frontend/src/redux/actionTypes.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/actionTypes.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -20,4 +20,7 @@
 export const FETCH_RECRUITERS = "FETCH_RECRUITERS"
 export const CHANGE_ACCESS = "CHANGE_ACCESS"
+export const SUBMIT_RECRUITER_LOGO = "SUBMIT_RECRUITER_LOGO"
+export const SUBMIT_RECRUITER_COVER = "SUBMIT_RECRUITER_COVER"
+export const SET_LOGO_URL = 'SET_LOGO_URL';
+export const SET_PROFILE_PIC_URL = 'SET_PROFILE_PIC_URL';
 
-
Index: jobvista-frontend/src/redux/actions/applicationActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/applicationActions.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/actions/applicationActions.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -47,8 +47,7 @@
       }
     },
-    fetchApplicationsByJobSeeker: (callback) => {
+    fetchApplicationsByJobSeeker: (jobSeekerId, callback) => {
       return dispatch => {
-          let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-          axios.get("/my-applications/" + currentUser.id)
+          axios.get("/my-applications/" + jobSeekerId)
               .then(response => {
                   dispatch({
Index: jobvista-frontend/src/redux/actions/authActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/authActions.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/actions/authActions.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -45,9 +45,8 @@
                 //const refreshToken = response.refreshToken;
                 const user = {
-                    id: response.id,
-                    email: response.email,
                     name: response.name,
                     role: response.role,
                     access: response.hasAccess,
+                    id: response.id,
                 };
                 dispatch({
Index: jobvista-frontend/src/redux/actions/jobAdvertisementActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/jobAdvertisementActions.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/actions/jobAdvertisementActions.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -87,8 +87,8 @@
     },
 
-    fetchJobAdvertisementsByRecruiter: (callback) => {
+    fetchJobAdvertisementsByRecruiter: (recruiterId, callback) => {
         return dispatch => {
             let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-            axios.get("/job-advertisements/recruiter/" + currentUser.id)
+            axios.get("/job-advertisements/recruiter/" + recruiterId)
                 .then(response => {
                     dispatch({
@@ -103,8 +103,8 @@
     },
 
-    filterJobAdvertisementsByRecruiter: (filter, callback) => {
+    filterJobAdvertisementsByRecruiter: (id, filter, callback) => {
 
         let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
-        axios.post("/job-advertisements/recruiter/" + currentUser.id + "/filtered", filter)
+        axios.post("/job-advertisements/recruiter/" + id + "/filtered", filter)
             .then(response => {
                 callback(true, response)
@@ -116,5 +116,5 @@
 
     fetchRecruiterDetailsById: (id, callback) => {
-        axios.get("/recruiter/info/" + id)
+        axios.get("/recruiter/"+id+"/info")
             .then(response => {
                 callback(true, response)
Index: jobvista-frontend/src/redux/reducers/authReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/authReducer.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/reducers/authReducer.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -3,4 +3,5 @@
 import {isExpired} from "react-jwt";
 import {CURRENT_USER, SIGN_IN, SIGN_OUT, UPDATE_TOKEN} from "../actionTypes";
+import {jwtDecode} from "jwt-decode";
 
 const initialState = {
@@ -13,5 +14,5 @@
         case SIGN_IN:
             localStorage.setItem(AUTH_TOKEN, action.payload.token);
-            localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
+            //localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
             return {
                 ...state,
@@ -21,10 +22,24 @@
         case UPDATE_TOKEN:
             let token = action.payload;
+            let decodedToken;
             let currentUser = "";
+            if(token !=null) {
+                try {
+                    decodedToken = jwtDecode(token);
+                } catch (error) {
+                    console.log("Failed to decode token: " + error)
+                }
+            }
+
             if(!isExpired(token)) {
                 localStorage.setItem(AUTH_TOKEN, token);
-                currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
+                currentUser = {
+                    name: decodedToken.name,
+                    role: decodedToken.role,
+                    access: decodedToken.access,
+                    id: decodedToken.id
+                };
             } else {
-                localStorage.removeItem(CURRENT_USER);
+                //localStorage.removeItem(CURRENT_USER);
                 localStorage.removeItem(AUTH_TOKEN);
                 currentUser = "";
@@ -37,5 +52,5 @@
             };
         case SIGN_OUT:
-            localStorage.removeItem(CURRENT_USER);
+            //localStorage.removeItem(CURRENT_USER);
             localStorage.removeItem(AUTH_TOKEN);
             return {
Index: jobvista-frontend/src/redux/reducers/jobAdvertisementReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/jobAdvertisementReducer.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/reducers/jobAdvertisementReducer.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -1,7 +1,12 @@
 import {
     ADD_JOB_ADVERTISEMENT,
-    CURRENT_USER, DELETE_JOB_ADVERTISEMENT, EDIT_JOB_ADVERTISEMENT,
+    CURRENT_USER,
+    DELETE_JOB_ADVERTISEMENT,
+    EDIT_JOB_ADVERTISEMENT,
     FETCH_JOB_ADVERTISEMENTS,
-    FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER, FILTER_JOB_ADVERTISEMENTS, FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER
+    FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER,
+    FILTER_JOB_ADVERTISEMENTS,
+    FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER,
+    SET_LOGO_URL
 } from "../actionTypes";
 import {sortElementsBy} from "../../utils/utils";
Index: jobvista-frontend/src/redux/store.js
===================================================================
--- jobvista-frontend/src/redux/store.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/redux/store.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
@@ -6,4 +6,5 @@
 import adminReducer from "./reducers/adminReducer"
 import {AdminActions} from "./actions/adminActions";
+import ImagesReducer from "./reducers/imagesReducer";
 
 // const rootReducer = combineReducers({
@@ -21,5 +22,6 @@
         jobAd: jobAdReducer,
         appl: applicationReducer,
-        admin: adminReducer
+        admin: adminReducer,
+        images: ImagesReducer
     },
 });
